OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
OTF_Parse.h File Reference
Internal Interfaces

All record parsing is located here. More...

`#include "OTF_RStream.h"`
`#include "OTF_HandlerArray.h"`

Go to the source code of this file.

## Functions
int | OTF_Reader_parseEventRecord (OTF_RBuffer *buffer, OTF_HandlerArray *handlers)
| Parse one event record from buffer and call the appropriate function - internal use only. More...
int | OTF_Reader_parseDefRecord (OTF_RBuffer *buffer, OTF_HandlerArray *handlers, uint32_t streamid)
| Parse one definition record from buffer and call the appropriate function - internal use only. More...
int | OTF_Reader_parseStatisticsRecord (OTF_RBuffer *buffer, OTF_HandlerArray *handlers)
| Parse one statisitc summary record from buffer and call the appropriate function - internal use only. More...
int | OTF_Reader_parseSnapshotsRecord (OTF_RBuffer *buffer, OTF_HandlerArray *handlers)
| Parse one snapshot record from buffer and call the appropriate function - internal use only. More...
int | OTF_Reader_parseMarkerRecord (OTF_RBuffer *buffer, OTF_HandlerArray *handlers, uint32_t streamid)
| Parse one marker record from buffer and call the appropriate function - internal use only. More...
int | OTF_Reader_readUnknownRecord (OTF_RBuffer *buffer, OTF_HandlerArray *handlers)
int | OTF_Reader_readUnknownDefRecord (OTF_RBuffer *buffer, OTF_HandlerArray *handlers, uint32_t streamid)
int | OTF_Reader_readUnknownMarkerRecord (OTF_RBuffer *buffer, OTF_HandlerArray *handlers, uint32_t streamid)

## Detailed Description

All record parsing is located here.

## Function Documentation

int OTF_Reader_parseDefRecord | ( | OTF_RBuffer * | buffer,
|  | OTF_HandlerArray * | handlers,
|  | uint32_t | streamid
| ) |  |

Parse one definition record from buffer and call the appropriate function - internal use only.

References struct_OTF_RBuffer::buffer, OTF_RBuffer_readKeyValueList(), OTF_RBuffer_readNewline(), OTF_RBuffer_skipKeyword(), OTF_RBuffer_testKeyword(), OTF_RBuffer_testPrefix(), and struct_OTF_RBuffer::pos.

Referenced by OTF_Reader_readDefinitions(), and OTF_RStream_readDefinitions().

int OTF_Reader_parseEventRecord | ( | OTF_RBuffer * | buffer,
|  | OTF_HandlerArray * | handlers
| ) |  |

Parse one event record from buffer and call the appropriate function - internal use only.

References struct_OTF_RBuffer::buffer, OTF_RBuffer_readKeyValueList(), OTF_RBuffer_readNewline(), OTF_RBuffer_skipKeyword(), OTF_RBuffer_skipSpaces(), OTF_RBuffer_testKeyword(), and struct_OTF_RBuffer::pos.

Referenced by OTF_Reader_readEvents(), OTF_Reader_readEventsUnsorted(), and OTF_RStream_readEvents().

int OTF_Reader_parseMarkerRecord | ( | OTF_RBuffer * | buffer,
|  | OTF_HandlerArray * | handlers,
|  | uint32_t | streamid
| ) |  |

Parse one marker record from buffer and call the appropriate function - internal use only.

References struct_OTF_RBuffer::buffer, OTF_RBuffer_readKeyValueList(), OTF_RBuffer_readNewline(), OTF_RBuffer_skipKeyword(), OTF_RBuffer_testKeyword(), OTF_RBuffer_testPrefix(), and struct_OTF_RBuffer::pos.

Referenced by OTF_Reader_readMarkers(), and OTF_RStream_readMarker().

int OTF_Reader_parseSnapshotsRecord | ( | OTF_RBuffer * | buffer,
|  | OTF_HandlerArray * | handlers
| ) |  |

Parse one snapshot record from buffer and call the appropriate function - internal use only.

References struct_OTF_RBuffer::buffer, OTF_RBuffer_readKeyValueList(), OTF_RBuffer_readNewline(), OTF_RBuffer_testKeyword(), OTF_RBuffer_testPrefix(), and struct_OTF_RBuffer::pos.

Referenced by OTF_Reader_readSnapshots(), OTF_Reader_readSnapshotsUnsorted(), and OTF_RStream_readSnapshots().

int OTF_Reader_parseStatisticsRecord | ( | OTF_RBuffer * | buffer,
|  | OTF_HandlerArray * | handlers
| ) |  |

Parse one statisitc summary record from buffer and call the appropriate function - internal use only.

This is necessary to read a FunctionGroupSummary record in long format, because the first character of the long and short keyword differs.

References struct_OTF_RBuffer::buffer, OTF_RBuffer_readKeyValueList(), OTF_RBuffer_readNewline(), OTF_RBuffer_testKeyword(), OTF_RBuffer_testPrefix(), and struct_OTF_RBuffer::pos.

Referenced by OTF_Reader_readStatistics(), OTF_Reader_readStatisticsUnsorted(), and OTF_RStream_readStatistics().